AutoCad - Dibujando Polylinea con VBA

 
Vista:

Dibujando Polylinea con VBA

Publicado por Mauricio Baeza (4 intervenciones) el 08/12/2001 20:01:29
'Hola, les agradeceria la ayuda en lo siguiente

'Tengo una matriz de dobles que lleno con valores
'desde una hoja de calculo
Dim dblPuntos() As Double

'Cuando tengo la matriz llena dibujo una Polylinea
ThisDrawing.ModelSpace.AddLightWeightPolyline (dblPuntos)

'La Polylinea de dibuja muy bien, solo que no lo hace con el
'sistema de coordenadas del usuario, el que yo he definido
'he tratado con el metodo

ThisDrawing.Utility.TranslateCoordinates

'para transferir las coordenadas, pero no entiendo muy bien
'el funcionamiento de este metodo

'¿Existe alguna forma de que me respete mi UCS?
'¿Cual es la forma correcta de usar TranslateCoordinates?

'Gracias...
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder